Commit 0c573e15 authored by Benjamin "Ziirish" SANS's avatar Benjamin "Ziirish" SANS

update doc

parent 7609749a
Pipeline #1391 failed with stages
in 12 minutes and 13 seconds
......@@ -10,6 +10,7 @@ Current
- **BREAKING**: the *running* backups are now displayed in ``green`` instead of ``blue``
- **BREAKING**: the docker postgresql image was upgraded from 9.6 to 10.1, you'll have to manually upgrade/migrate your data `following this documentation <https://github.com/tianon/docker-postgres-upgrade>`_
- **BREAKING**: the ``docker-compose.yml`` file now uses the ``version: '2'`` format
- **BREAKING**: the old config file format with colons (:) as separator is no
- Add: new plugins system to allow users to write their own modules
- Add: `Italian translation <https://git.ziirish.me/ziirish/burp-ui/merge_requests/74>`_ thanks to Enrico
- Add: new `client configuration templates <https://git.ziirish.me/ziirish/burp-ui/issues/155>`_
......
......@@ -575,3 +575,9 @@ a:hover tt {
.revsys-inline {
display: none!important;
}
/* custom */
.strike {
text-decoration: line-through;
}
......@@ -744,6 +744,33 @@ Now if you set ``inverse_inheritance = true``, the ``@gp_ro`` grants will have
the highest priority, meaning the client ``demo`` on the ``test`` agent will be
granted ``ro`` rights like any other client.
Please also note the order of your rules matters (although the UI is unable to
re-order your rules).
For instance, this:
::
[BASIC:ACL]
user1 =
@gp1 = '{"clients": {"rw": ["tata", "titi"]}}'
+gp1 = user1
@gp2 = '{"clients": {"ro": ["*"]}, "agents": {"rw": "local"}}'
+gp2 = @gp1
Is not the same as:
::
[BASIC:ACL]
user1 =
@gp2 = '{"clients": {"ro": ["*"]}, "agents": {"rw": "local"}}'
+gp2 = @gp1
@gp1 = '{"clients": {"rw": ["tata", "titi"]}}'
+gp1 = user1
.. _Burp: http://burp.grke.org/
.. _Burp-UI: https://git.ziirish.me/ziirish/burp-ui
.. _burpui.cfg: https://git.ziirish.me/ziirish/burp-ui/blob/master/share/burpui/etc/burpui.sample.cfg
......
.. role:: strike
:class: strike
Upgrading
=========
......@@ -36,6 +39,9 @@ v0.6.0
- **Breaking** - The ``docker-compose.yml`` file now uses the ``version: '2'``
format.
- **Breaking** - The old config file format with colons (:) as separator is no
more supported.
- **New** - Plugin system to enhance ACL and Authentication backends. See the
`Plugins <plugins.html>`__ documentation for details.
......@@ -119,8 +125,8 @@ v0.3.0
- **Breaking** - Configuration file format changed. Colons (:) must be replaced
by equals (=). Besides, some settings containing spaces should be surrounded
by quotes. *Note*: The conversion is mostly automatic, but you should keep an
eye on it though.
by quotes. :strike:`*Note*: The conversion is mostly automatic, but you should
keep an eye on it though.`
- **New** - Basic authentication backend now supports hashed passwords (*Note*:
plain text passwords are now deprecated and the support will be dropped in
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment